FROM debian:10

RUN apt update
RUN apt install -y curl

RUN curl -so /etc/apt/trusted.gpg.d/oxen.gpg https://deb.oxen.io/pub.gpg
RUN echo "deb https://deb.oxen.io buster main" | tee /etc/apt/sources.list.d/oxen.list

RUN apt update -y &&  apt upgrade -y
RUN apt install -y oxen-service-node

CMD [ "oxend", "--non-interactive" ]
